Bug 734076

Summary: gcin cannot be started via Ctrl+Space within Firefox and libreoffice
Product: [Fedora] Fedora Reporter: Cheng-Chia Tseng <pswo10680>
Component: gcinAssignee: Chung-Yen Chang <candyz0416>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 16CC: candyz0416, i18n-bugs, panemade
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 07:53:17 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
spec file patch to fix the problem none

Description Cheng-Chia Tseng 2011-08-29 07:51:20 EDT
Description of problem:
gcin is used by many Chinese (Traditional) users, because ibus-chewing has many critical bugs not fixed yet.

gcin uses Ctrl+Space to start to input Chinese characters. I installed gcin, gcin-gtk2, gcin-gtk3 and gcin-qt4.
gcin works well within gtk3 programs such as gedit, and it works well with qt4 programs like Amarok too.

Version-Release number of selected component (if applicable): 1.6.1


How reproducible:


Steps to Reproduce:
1. install gicn gcin-gtk2 gcin-gtk3 gcin-qt4 libreoffice amarok gimp first
2. siwtich im into gcin via im-chooser
3. log in again
4. use Ctrl+Space within gedit, firefox, libreoffice (e.g. Writer) and gimp
  
Actual results:
Only gedit, a gtk3 program, and amarok, a qt4 program can use Ctrl+Space to input Chinese characters.

Expected results:
firefox, libreoffice and gimp can use Ctrl+Space to input Chinese characters.

Additional info: the test build of gcin-1.6.1.pre13-1 works well with all the programs described above ( http://koji.fedoraproject.org/koji/taskinfo?taskID=3023647), I have kept the rpm.
Comment 1 Cheng-Chia Tseng 2011-09-02 11:37:08 EDT
Below is "the 5 things you should check when gicn cannot be activated" by gcin author, translated by me.

Quote
If you cannot make gcin activated, please check:

1. Execute 'pgrep gcin'

Can you see gcin process ID (a number)? If you can, please go to 3 directly.

2. Execute 'gcin' directly to see if there is any error message.

If the last line is "IMOpenIM failed. Maybe another XIM server is running." That means another XIM server might be running. So try to kill gcin / scim/ibus 's process and execute gcin again.

3. Check whether XMODIFIERS is set consistent or not.

Normally, we can use printenv to check content of environment variables.

But there are too many places where you can set environment variables, using terminal to check may not fit the actual values of applications using. It will be more precise to see proc file system directly.

Execute this command:

$ pgrep gcin
7438
$ strings /proc/7438/environ

This file contains all the environment variables content of this process. You can check the content of XMODIFIERS. You can use the same way to check other programs, eg. pgrep firefox.

gcin can be set without its own XMODIFIERS, but applications has to set to "XMODIFIERS=@im=gcin".

4. Executing "gtk-query-immodules-2.0" (or allike), you should see:

"/usr/lib/gtk-2.0/immodules/im-gcin.so"
"gcin" "gcin Input Method" "gcin" "/usr/share/locale" "zh:ja"

If you cannot see those message above, it implies im-gcin.so is not installed.

5. /etc/gtk-2.0/gtk.immodules.lib should have the same messages in 4. If it don't, you can execute:

# gtk-query-immodules-2.0 > /etc/gtk-2.0/gtk.immodules.lib
/Quote


The result is that gcin 1.6.1 package does not pass 5; however, after I did the command provided by gcin author and log in again, gcin did not work still.

I doubt the process separating single gcin pacakge into 4 subpackages might has something worong.
Comment 2 Chien-Chung Yeh 2012-01-23 09:27:40 EST
Created attachment 556981 [details]
spec file patch to fix the problem

This patch works for Fedora 16.
Comment 3 Fedora End Of Life 2013-01-16 07:34:02 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 07:53:21 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.